Bug 1305588 - Build Gallium OSMesa instead of classic
Build Gallium OSMesa instead of classic
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-08 11:10 EST by Dennis Schridde
Modified: 2016-08-08 07:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-08 07:55:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Schridde 2016-02-08 11:10:23 EST
Description of problem:

OSMesa as currently built by Fedora is unable to run ParaView 5.0.0, because that requires OpenGL 3.2, while the classic OSMesa supports only OpenGL 2.1. It works with Gallium OSMesa, because that supports OpenGL 3+.

Version-Release number of selected component (if applicable):

11.2.0-0.devel.8.24ea81a.fc24 and any prior packages are affected.

How reproducible:

See e.g. http://public.kitware.com/pipermail/paraview/2016-February/036114.html

See the posts following for the KitWare developer's hint on how to fix this.

How fixable:

For a working build of Mesa see: https://github.com/urzds/mesa-docker/blob/master/Dockerfile

It was written by following the Fedora specfile, with some minor adjustments, the only important (in this context) being the switch from --enable-osmesa to --enable-gallium-osmesa.
Comment 1 Jan Kurik 2016-02-24 09:26:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 2 Igor Gnatenko 2016-03-27 11:19:37 EDT
I committed change to rawhide...

But now it's still not in repo due to bugs in SWR.
Comment 3 Dennis Schridde 2016-05-09 11:48:12 EDT
Thanks! Would it be possible to backport that to F24?
Comment 4 Dennis Schridde 2016-05-23 10:53:35 EDT
Seems to be still missing in F24: https://pkgs.fedoraproject.org/cgit/rpms/mesa.git/tree/mesa.spec?h=f24#n387
Comment 5 Jan Kurik 2016-07-26 00:20:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 6 Igor Gnatenko 2016-08-08 07:55:29 EDT
(In reply to Dennis Schridde from comment #3)
> Thanks! Would it be possible to backport that to F24?

sorry, but no. probably after 12.1.x.

Note You need to log in before you can comment on or make changes to this bug.